package com.ms.biz.service;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;

public interface QueueService {

    Map<Long, Long> allocBufferToQueueByShopAvg(String bufferName, String queueName, JSONObject filter, int maxQueueCount, Integer shopLimit);

    int unlockTimeoutSolidRedisQueue(String tableName, int heartbeatExpiredSeconds, String status);

    int unlockSolidRedisDeadQueue(String tableName, int heartbeatExpiredSeconds, String status);

    int unlockSolidRedisSkipQueue(String queueName, String status);

    int unlockTimeoutQueue(String tableName, int heartbeatExpiredSeconds, String status);
}
